Bug 12168 - Fix format-nonliteral warnings
Fix format-nonliteral warnings
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Other
4.5.0rc2
All All
: P5 normal
: 4.5
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-08-19 08:33 UTC by Amitay Isaacs
Modified: 2016-08-28 15:57 UTC (History)
5 users (show)

See Also:


Attachments
Patches for v4-5 branch (29.12 KB, patch)
2016-08-24 05:13 UTC, Amitay Isaacs
martins: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Amitay Isaacs 2016-08-19 08:33:29 UTC
Add decorations to functions that use printf format.
Comment 1 Amitay Isaacs 2016-08-24 05:13:28 UTC
Created attachment 12395 [details]
Patches for v4-5 branch
Comment 2 Martin Schwenke 2016-08-24 06:07:00 UTC
Hi Karolin,

This is ready for 4.5.

Thanks...
Comment 3 Stefan Metzmacher 2016-08-24 09:48:12 UTC
Pushed to autobuild-v4-5-test.
Comment 4 Stefan Metzmacher 2016-08-28 15:57:44 UTC
Pushed to v4-5-test.